package com.yinet.system.domain;

import com.yinet.common.core.domain.BaseEntity;

import java.util.*;

/**
 * 办事指南表
 *
 * @author ruoyi
 */
public class TouchScreenGuidance extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 办事指南ID
     */
    private String tsGuidanceId;



    private String zName;
    /**
     * 办事指南名称
     */
    private String guidanceName;

    public String getzName() {
        return zName;
    }

    public void setzName(String zName) {
        this.zName = zName;
    }

    /**
     * 父办事指南名称
     */
    private String parentName;

    /**
     * 父办事指南ID
     */
    private String parentId;
    /**
     * 显示顺序
     */
    private String orderNum;
    /**
     * 微信列表图标
     */
    private String iconUrl;
    /**
     * 办事指南类型 0事项办理指南 1事项示范文本 2空白文本
     */
    private String guidanceType;
    /**
     * 修改时间
     */
    private Date submitTime;
    /**
     * 子办事指南
     */
    private List<TouchScreenGuidance> children = new ArrayList<TouchScreenGuidance>();

    private String files;

    public String getTsGuidanceId() {
        return tsGuidanceId;
    }

    public void setTsGuidanceId(String tsGuidanceId) {
        this.tsGuidanceId = tsGuidanceId;
    }

    public String getGuidanceName() {
        return guidanceName;
    }

    public void setGuidanceName(String guidanceName) {
        this.guidanceName = guidanceName;
    }

    public String getParentName() {
        return parentName;
    }

    public void setParentName(String parentName) {
        this.parentName = parentName;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(String orderNum) {
        this.orderNum = orderNum;
    }

    public String getIconUrl() {
        return iconUrl;
    }

    public void setIconUrl(String iconUrl) {
        this.iconUrl = iconUrl;
    }




    public String getGuidanceType() {
        return guidanceType;
    }

    public void setGuidanceType(String guidanceType) {
        this.guidanceType = guidanceType;
    }

    public Date getSubmitTime() {
        return submitTime;
    }

    public void setSubmitTime(Date submitTime) {
        this.submitTime = submitTime;
    }

    public List<TouchScreenGuidance> getChildren() {
        return children;
    }

    public void setChildren(List<TouchScreenGuidance> children) {
        this.children = children;
    }

    public String getFiles() {
        return files;
    }

    public void setFiles(String files) {
        this.files = files;
    }

    @Override
    public String toString() {
        return "TouchScreenGuidance{" +
                "tsGuidanceId='" + tsGuidanceId + '\'' +
                ", zName='" + zName + '\'' +
                ", guidanceName='" + guidanceName + '\'' +
                ", parentName='" + parentName + '\'' +
                ", parentId='" + parentId + '\'' +
                ", orderNum='" + orderNum + '\'' +
                ", iconUrl='" + iconUrl + '\'' +
                ", guidanceType='" + guidanceType + '\'' +
                ", submitTime=" + submitTime +
                ", children=" + children +
                ", files='" + files + '\'' +
                '}';
    }
}
